import { OnInit, OnDestroy } from '@angular/core';
import { IPatient, ICondition, ICondition_Stage } from '@ahryman40k/ts-fhir-types/lib/R4';
import { FormGroup } from '@angular/forms';
import { ModalController } from '@ionic/angular';
import { AbstractAddComponent } from '../../../shared/abstracts/add/abstract-add/abstract-add.component';
import { FormGenModel } from '../../../shared/models/form-gen.model';
export declare class DecourseAddComponent extends AbstractAddComponent<ICondition> implements OnInit, OnDestroy {
    private modalController;
    patient: IPatient;
    user: any;
    isModal: boolean;
    stage: ICondition_Stage[];
    subjects: FormGenModel[];
    form: FormGroup;
    interval: any;
    actualTime: Date;
    constructor(modalController: ModalController);
    ngOnInit(): void;
    ngOnDestroy(): void;
    resetForm(): FormGroup;
    onChange(event: any): void;
    addNote(): FormGroup;
    fillNotes(): void;
    refreshTime(): void;
    close(outData?: any): void;
}
